# Class MouseState

java.lang.Object
org.jmol.viewer.MouseState

public class MouseState extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`keybuf`
`String`
`name`
`long`
`time`
`int`
`x`
`int`
`y`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`check(int xyRange, int x, int y, int modifiers, long time, long delayMax)`
`boolean`
`inRange(int xyRange, int x, int y)`
`boolean`
`is(MouseState current)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### x

public int x

### y

public int y

### time

public long time

### name

public String name

### keybuf

public int keybuf

## Method Details

### inRange

public boolean inRange(int xyRange, int x, int y)

### check

public boolean check(int xyRange, int x, int y, int modifiers, long time, long delayMax)

### is

public boolean is(MouseState current)